=head1 NAME

Gtk2::FileChooser

=head1 HIERARCHY

  Glib::Object::_Unregistered::GInterface
  +----Gtk2::FileChooser


=head1 METHODS

=head2 filechooseraction = $chooser-E<gt>B<get_action> 

=over

=back

=head2 $chooser-E<gt>B<set_action> ($action)

=over

=over

=item * $action (Gtk2::FileChooserAction) 

=back

=back

=head2 $chooser-E<gt>B<add_filter> ($filter)

=over

=over

=item * $filter (Gtk2::FileFilter) 

=back

=back

=head2 $chooser-E<gt>B<add_shortcut_folder> ($folder)

=over

=over

=item * $folder (string) 

=back

=back

=head2 $chooser-E<gt>B<add_shortcut_folder_uri> ($folder)

=over

=over

=item * $folder (string) 

=back

=back

=head2 string = $chooser-E<gt>B<get_current_folder> 

=over

=back

=head2 boolean = $chooser-E<gt>B<set_current_folder> ($filename)

=over

=over

=item * $filename (string) 

=back

=back

=head2 string = $chooser-E<gt>B<get_current_folder_uri> 

=over

=back

=head2 boolean = $chooser-E<gt>B<set_current_folder_uri> ($uri)

=over

=over

=item * $uri (string) 

=back

=back

=head2 $chooser-E<gt>B<set_current_name> ($name)

=over

=over

=item * $name (string) 

=back

=back

=head2 boolean = $chooser-E<gt>B<get_do_overwrite_confirmation> 

=over

=back

=head2 $chooser-E<gt>B<set_do_overwrite_confirmation> ($do_overwrite_confirmation)

=over

=over

=item * $do_overwrite_confirmation (boolean) 

=back

=back

=head2 widget = $chooser-E<gt>B<get_extra_widget> 

=over

=back

=head2 $chooser-E<gt>B<set_extra_widget> ($extra_widget)

=over

=over

=item * $extra_widget (Gtk2::Widget) 

=back

=back

=head2 string = $chooser-E<gt>B<get_filename> 

=over

=back

=head2 boolean = $chooser-E<gt>B<set_filename> ($filename)

=over

=over

=item * $filename (string) 

=back

=back

=head2 list = $chooser-E<gt>B<get_filenames> 

=over

=back

=head2 filefilter = $chooser-E<gt>B<get_filter> 

=over

=back

=head2 $chooser-E<gt>B<set_filter> ($filter)

=over

=over

=item * $filter (Gtk2::FileFilter) 

=back

=back

=head2 list = $chooser-E<gt>B<list_filters> 

=over

=back

=head2 list = $chooser-E<gt>B<list_shortcut_folder_uris> 

=over

=back

=head2 list = $chooser-E<gt>B<list_shortcut_folders> 

=over

=back

=head2 boolean = $chooser-E<gt>B<get_local_only> 

=over

=back

=head2 $chooser-E<gt>B<set_local_only> ($files_only)

=over

=over

=item * $files_only (boolean) 

=back

=back

=head2 localized file name = $file_chooser-E<gt>B<get_preview_filename> 

=over

=back

=head2 string = $file_chooser-E<gt>B<get_preview_uri> 

=over

=back

=head2 boolean = $chooser-E<gt>B<get_preview_widget_active> 

=over

=back

=head2 $chooser-E<gt>B<set_preview_widget_active> ($active)

=over

=over

=item * $active (boolean) 

=back

=back

=head2 widget = $chooser-E<gt>B<get_preview_widget> 

=over

=back

=head2 $chooser-E<gt>B<set_preview_widget> ($preview_widget)

=over

=over

=item * $preview_widget (Gtk2::Widget) 

=back

=back

=head2 $chooser-E<gt>B<remove_filter> ($filter)

=over

=over

=item * $filter (Gtk2::FileFilter) 

=back

=back

=head2 $chooser-E<gt>B<remove_shortcut_folder> ($folder)

=over

=over

=item * $folder (string) 

=back

=back

=head2 $chooser-E<gt>B<remove_shortcut_folder_uri> ($folder)

=over

=over

=item * $folder (string) 

=back

=back

=head2 $chooser-E<gt>B<select_all> 

=over

=back

=head2 boolean = $chooser-E<gt>B<select_filename> ($filename)

=over

=over

=item * $filename (string) 

=back

=back

=head2 boolean = $chooser-E<gt>B<get_select_multiple> 

=over

=back

=head2 $chooser-E<gt>B<set_select_multiple> ($select_multiple)

=over

=over

=item * $select_multiple (boolean) 

=back

=back

=head2 boolean = $chooser-E<gt>B<select_uri> ($uri)

=over

=over

=item * $uri (string) 

=back

=back

=head2 boolean = $chooser-E<gt>B<get_show_hidden> 

=over

=back

=head2 $chooser-E<gt>B<set_show_hidden> ($show_hidden)

=over

=over

=item * $show_hidden (boolean) 

=back

=back

=head2 $chooser-E<gt>B<unselect_all> 

=over

=back

=head2 $chooser-E<gt>B<unselect_filename> ($filename)

=over

=over

=item * $filename (string) 

=back

=back

=head2 $chooser-E<gt>B<unselect_uri> ($uri)

=over

=over

=item * $uri (string) 

=back

=back

=head2 string = $chooser-E<gt>B<get_uri> 

=over

=back

=head2 boolean = $chooser-E<gt>B<set_uri> ($uri)

=over

=over

=item * $uri (string) 

=back

=back

=head2 list = $chooser-E<gt>B<get_uris> 

=over

=back

=head2 boolean = $chooser-E<gt>B<get_use_preview_label> 

=over

=back

=head2 $chooser-E<gt>B<set_use_preview_label> ($use_label)

=over

=over

=item * $use_label (boolean) 

=back

=back


=head1 PROPERTIES

=over

=item 'action' (Gtk2::FileChooserAction : readable / writable / private)

The type of operation that the file selector is performing

=item 'do-overwrite-confirmation' (boolean : readable / writable / private)

Whether a file chooser in GTK_FILE_CHOOSER_ACTION_SAVE will present an overwrite confirmation dialog if the user selects a file name that already exists.

=item 'extra-widget' (Gtk2::Widget : readable / writable / private)

Application supplied widget for extra options.

=item 'file-system-backend' (string : writable / construct-only / private)

Name of file system backend to use

=item 'filter' (Gtk2::FileFilter : readable / writable / private)

The current filter for selecting which files are displayed

=item 'local-only' (boolean : readable / writable / private)

Whether the selected file(s) should be limited to local file: URLs

=item 'preview-widget' (Gtk2::Widget : readable / writable / private)

Application supplied widget for custom previews.

=item 'preview-widget-active' (boolean : readable / writable / private)

Whether the application supplied widget for custom previews should be shown.

=item 'select-multiple' (boolean : readable / writable / private)

Whether to allow multiple files to be selected

=item 'show-hidden' (boolean : readable / writable / private)

Whether the hidden files and folders should be displayed

=item 'use-preview-label' (boolean : readable / writable / private)

Whether to display a stock label with the name of the previewed file.

=back


=head1 SIGNALS

=over

=item B<current-folder-changed> (Gtk2::FileChooser)

=item B<selection-changed> (Gtk2::FileChooser)

=item B<update-preview> (Gtk2::FileChooser)

=item B<file-activated> (Gtk2::FileChooser)

=item GtkFileChooserConfirmation = B<confirm-overwrite> (Gtk2::FileChooser)

=back


=head1 ENUMS AND FLAGS

=head2 enum Gtk2::FileChooserAction



=over

=item * 'open' / 'GTK_FILE_CHOOSER_ACTION_OPEN'

=item * 'save' / 'GTK_FILE_CHOOSER_ACTION_SAVE'

=item * 'select-folder' / 'GTK_FILE_CHOOSER_ACTION_SELECT_FOLDER'

=item * 'create-folder' / 'GTK_FILE_CHOOSER_ACTION_CREATE_FOLDER'

=back


=head2 enum Gtk2::FileChooserError



=over

=item * 'nonexistent' / 'GTK_FILE_CHOOSER_ERROR_NONEXISTENT'

=item * 'bad-filename' / 'GTK_FILE_CHOOSER_ERROR_BAD_FILENAME'

=back


=head2 enum GtkFileChooserConfirmation

=over

=item * 'confirm' / 'GTK_FILE_CHOOSER_CONFIRMATION_CONFIRM'

=item * 'accept-filename' / 'GTK_FILE_CHOOSER_CONFIRMATION_ACCEPT_FILENAME'

=item * 'select-again' / 'GTK_FILE_CHOOSER_CONFIRMATION_SELECT_AGAIN'

=back



=head1 SEE ALSO

L<Gtk2>, L<Glib::Object::_Unregistered::GInterface>

=head1 COPYRIGHT

Copyright (C) 2003-2005 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.


=cut

